import type { Metadata } from "next";
import { Inter } from "next/font/google";
import "./globals.css";
import { NextIntlClientProvider, useMessages } from "next-intl";
import Footer from "../widgets/Footer/Footer";

const inter = Inter({ subsets: ["latin"] });

export const metadata: Metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
};

export default function RootLayout({
  children,
  params,
}: Readonly<{
  children: React.ReactNode;
  params: { locale: string };
}>) {
  const messages = useMessages();

  return (
    <html lang={params.locale}>
      <NextIntlClientProvider locale={params.locale} messages={messages}>
        <body className={inter.className}>{children}</body>
        <Footer />
      </NextIntlClientProvider>
    </html>
  );
}
